org.apache.ignite.internal.visor.cache

## Class VisorFindAndDeleteGarbageInPersistenceClosure

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorFindAndDeleteGarbageInPersistenceClosure

All Implemented Interfaces:
  Serializable, Callable<VisorFindAndDeleteGarbageInPersistenceJobResult>, IgniteCallable<VisorFindAndDeleteGarbageInPersistenceJobResult>

    public class VisorFindAndDeleteGarbageInPersistenceClosure
    extends Object
    implements IgniteCallable<VisorFindAndDeleteGarbageInPersistenceJobResult>

Class contains logic of finding data of already destroyed caches in running cache groups. Also, could cleanup this garbage in cache partitions and indexes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorFindAndDeleteGarbageInPersistenceClosure(Set<String> grpNames, boolean deleteGarbage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`VisorFindAndDeleteGarbageInPersistenceJobResult` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorFindAndDeleteGarbageInPersistenceClosure

    public VisorFindAndDeleteGarbageInPersistenceClosure(Set<String> grpNames,
                                                         boolean deleteGarbage)

Parameters:
  `grpNames` - Cache group names.
  `deleteGarbage` - Clean up garbage from partitions.

### Method Detail

#### call

    public VisorFindAndDeleteGarbageInPersistenceJobResult call()
                                                         throws Exception

Specified by:
  `call` in interface `Callable<VisorFindAndDeleteGarbageInPersistenceJobResult>`
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022